package request


type AlibabaWdkItemMerchantskuQueryRequest struct {
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code" required:"true" `
    /*
        机构编码     */
    OrgCode  *string `json:"org_code" required:"true" `
}

func (s *AlibabaWdkItemMerchantskuQueryRequest) SetSkuCode(v string) *AlibabaWdkItemMerchantskuQueryRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkItemMerchantskuQueryRequest) SetOrgCode(v string) *AlibabaWdkItemMerchantskuQueryRequest {
    s.OrgCode = &v
    return s
}

func (req *AlibabaWdkItemMerchantskuQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.SkuCode != nil) {
        paramMap["sku_code"] = *req.SkuCode
    }
    if(req.OrgCode != nil) {
        paramMap["org_code"] = *req.OrgCode
    }
    return paramMap
}

func (req *AlibabaWdkItemMerchantskuQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}